# register

fun Listener.register()
Content copied to clipboard

Shortcut for registering this listener on the given plugin.

inline fun <T : Event> Listener.register(priority: EventPriority = EventPriority.NORMAL, ignoreCancelled: Boolean = false, noinline executor: (Listener, Event) -> Unit)
Content copied to clipboard

Registers the event with a custom event executor.

## Parameters

executor

handles incoming events

ignoreCancelled

if manual cancellation should be ignored

priority

the priority when multiple listeners handle this event

T

the type of event

inline fun <T : Event> SingleListener<T>.register(priority: EventPriority = EventPriority.NORMAL, ignoreCancelled: Boolean = false)
Content copied to clipboard

Registers the SingleListener with its event listener.

## Parameters

ignoreCancelled

if manual cancellation should be ignored

priority

the priority when multiple listeners handle this event